# CapType enum

线头类型

## Constants

arrow → const CapType

  箭头

  `const CapType(2)`
butt → const CapType

  普通头

  `const CapType(0)`
round → const CapType

  圆形头

  `const CapType(3)`
square → const CapType

  扩展头

  `const CapType(1)`
values → const List <CapType>

  A constant List of the values in this enum, in order of their declaration.

  `const List<CapType>`

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
index → int

  The integer index of this enum.

  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString () → String
  Returns a string representation of this object.
  override

## Operators

operator == (Object other) → bool
  The equality operator. [...]
  inherited